Changeset 2995


Ignore:
Timestamp:
Oct 15, 2013 11:48:46 PM (7 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Mumps/stable/1.4/configure

    r2936 r2995  
    10781078                          (implies --disable-shared)
    10791079  --enable-debug-mumps compile project Mumps with debug compiler flags
    1080   --enable-doscompile     Under Cygwin, compile so that executables run under
    1081                           DOS. Set to mingw to use gcc/g++/ld with
    1082                           -mno-cygwin. Set to msvc to use cl/link (or
    1083                           icl/link). Default when mentioned: mingw. Default
    1084                           when not mentioned: disabled.
     1080
     1081  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10851082  --disable-pthread-mumps disable use of pthread library
    10861083  --enable-static[=PKGS]
     
    18871884
    18881885# Get the name of the C compiler
    1889 case $build in
     1886
     1887
     1888  # for backward compatibility
     1889  # Check whether --enable-doscompile or --disable-doscompile was given.
     1890if test "${enable_doscompile+set}" = set; then
     1891  enableval="$enable_doscompile"
     1892  enable_doscompile=$enableval
     1893else
     1894  enable_doscompile=no
     1895fi;
     1896
     1897  # Check whether --enable-msvc or --disable-msvc was given.
     1898if test "${enable_msvc+set}" = set; then
     1899  enableval="$enable_msvc"
     1900  enable_msvc=$enableval
     1901else
     1902  enable_msvc=no
     1903     if test "$enable_doscompile" = msvc ; then
     1904       enable_msvc=yes
     1905     elif test "$enable_doscompile" != no ; then
     1906       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1907echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1908   { (exit 1); exit 1; }; }
     1909     fi
     1910
     1911fi;
     1912
     1913  if test "$enable_msvc" = yes; then
     1914    case $build in
     1915      *-cygwin* | *-mingw*) ;;
     1916      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1917echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1918   { (exit 1); exit 1; }; } ;;
     1919    esac
     1920  fi
     1921
     1922
     1923 case $build in
    18901924  *-mingw*)
    18911925    if test "${LD+set}" = set; then :; else
     
    18941928    ;;
    18951929 esac
    1896  case $enable_doscompile in
    1897    msvc)
    1898      if test "x${LD+set}" = xset; then :; else
    1899        LD=link
    1900      fi
    1901      ;;
    1902  esac
    1903 
    1904 
    1905  # Check whether --enable-doscompile or --disable-doscompile was given.
    1906 if test "${enable_doscompile+set}" = set; then
    1907   enableval="$enable_doscompile"
    1908   if test "$enable_doscompile" != no; then
    1909      case $build in
    1910        *-cygwin* | *-mingw*) ;;
    1911        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1912 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
    1913    { (exit 1); exit 1; }; } ;;
    1914      esac
     1930 if test $enable_msvc = yes ; then
     1931   if test "x${LD+set}" = xset; then :; else
     1932     LD=link
    19151933   fi
    1916 else
    1917   enable_doscompile=no
    1918 fi;
    1919  case "$enable_doscompile" in
    1920    mingw)
    1921      case $build in
    1922        *-mingw*) enable_doscompile=no ;;
    1923      esac
    1924      ;;
    1925    msvc|no) ;;
    1926    yes) enable_doscompile=mingw ;;
    1927    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1928                     Try configure --help=recursive." >&5
    1929 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1930                     Try configure --help=recursive." >&2;}
    1931    { (exit 1); exit 1; }; }
    1932       ;;
    1933   esac
    1934   if test "$enable_doscompile" != no ; then
    1935     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1936 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1937   fi
     1934 fi
    19381935
    19391936
     
    19781975case $build in
    19791976  *-cygwin* | *-mingw*)
    1980              if test "$enable_doscompile" = msvc ; then
    1981                comps="icl cl"
     1977             if test "$enable_msvc" = yes ; then
     1978               comps="icl cl gcc"
    19821979             else
    1983                comps="gcc cl"
     1980               comps="gcc icl cl"
    19841981             fi ;;
    19851982  *-*-solaris*)
     
    28342831            ;;
    28352832        esac
    2836         case $enable_doscompile in
    2837           mingw)
    2838             CFLAGS="-mno-cygwin"
    2839             cat >conftest.$ac_ext <<_ACEOF
    2840 /* confdefs.h.  */
    2841 _ACEOF
    2842 cat confdefs.h >>conftest.$ac_ext
    2843 cat >>conftest.$ac_ext <<_ACEOF
    2844 /* end confdefs.h.  */
    2845 
    2846 int
    2847 main ()
    2848 {
    2849 int i=0; i++;
    2850   ;
    2851   return 0;
    2852 }
    2853 _ACEOF
    2854 rm -f conftest.$ac_objext conftest$ac_exeext
    2855 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2856   (eval $ac_link) 2>conftest.er1
    2857   ac_status=$?
    2858   grep -v '^ *+' conftest.er1 >conftest.err
    2859   rm -f conftest.er1
    2860   cat conftest.err >&5
    2861   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2862   (exit $ac_status); } &&
    2863          { ac_try='test -z "$ac_c_werror_flag"
    2864                          || test ! -s conftest.err'
    2865   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2866   (eval $ac_try) 2>&5
    2867   ac_status=$?
    2868   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2869   (exit $ac_status); }; } &&
    2870          { ac_try='test -s conftest$ac_exeext'
    2871   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2872   (eval $ac_try) 2>&5
    2873   ac_status=$?
    2874   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2875   (exit $ac_status); }; }; then
    2876   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2877 else
    2878   echo "$as_me: failed program was:" >&5
    2879 sed 's/^/| /' conftest.$ac_ext >&5
    2880 
    2881 fi
    2882 rm -f conftest.err conftest.$ac_objext \
    2883       conftest$ac_exeext conftest.$ac_ext
    2884             CFLAGS=
    2885           ;;
    2886         esac
    28872833    esac
    28882834  fi
     
    32253171  clang* ) ;;
    32263172  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3227     case $build in
     3173
     3174 case $build in
    32283175  *-mingw*)
    32293176    if test "${LD+set}" = set; then :; else
     
    32323179    ;;
    32333180 esac
    3234  case $enable_doscompile in
    3235    msvc)
    3236      if test "x${LD+set}" = xset; then :; else
    3237        LD=link
    3238      fi
    3239      ;;
    3240  esac
     3181 if test $enable_msvc = yes ; then
     3182   if test "x${LD+set}" = xset; then :; else
     3183     LD=link
     3184   fi
     3185 fi
    32413186
    32423187    ;;
     
    32543199case $build in
    32553200  *-cygwin* | *-mingw*)
    3256      if test "$enable_doscompile" = msvc ; then
    3257        coin_f77_comps="ifort fl32 compile_f2c"
     3201     if test "$enable_msvc" = yes ; then
     3202       coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
    32583203     else
    32593204       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    34803425
    34813426# Provide some information about the compiler.
    3482 echo "$as_me:3482:" \
     3427echo "$as_me:3427:" \
    34833428     "checking for Fortran 77 compiler version" >&5
    34843429ac_compiler=`set X $ac_compile; echo $2`
     
    36493594    coin_add_fflags="-pipe"
    36503595    coin_dbg_fflags="-g -O0"
    3651     case $enable_doscompile in
    3652       mingw)
    3653         FFLAGS="-mno-cygwin"
    3654         cat >conftest.$ac_ext <<_ACEOF
    3655       program main
    3656       write(*,*) 'Hello world'
    3657       end
    3658 _ACEOF
    3659 rm -f conftest.$ac_objext conftest$ac_exeext
    3660 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3661   (eval $ac_link) 2>conftest.er1
    3662   ac_status=$?
    3663   grep -v '^ *+' conftest.er1 >conftest.err
    3664   rm -f conftest.er1
    3665   cat conftest.err >&5
    3666   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3667   (exit $ac_status); } &&
    3668          { ac_try='test -z "$ac_f77_werror_flag"
    3669                          || test ! -s conftest.err'
    3670   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3671   (eval $ac_try) 2>&5
    3672   ac_status=$?
    3673   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3674   (exit $ac_status); }; } &&
    3675          { ac_try='test -s conftest$ac_exeext'
    3676   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3677   (eval $ac_try) 2>&5
    3678   ac_status=$?
    3679   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3680   (exit $ac_status); }; }; then
    3681   coin_add_fflags="-mno-cygwin $coin_add_fflags"
    3682 else
    3683   echo "$as_me: failed program was:" >&5
    3684 sed 's/^/| /' conftest.$ac_ext >&5
    3685 
    3686 fi
    3687 rm -f conftest.err conftest.$ac_objext \
    3688       conftest$ac_exeext conftest.$ac_ext
    3689         FFLAGS=
    3690       ;;
    3691     esac
    36923596  else
    36933597    case $build in
     
    39813885case "$F77" in
    39823886  ifort* | */ifort* | IFORT* | */IFORT*)
    3983     case $build in
     3887
     3888 case $build in
    39843889  *-mingw*)
    39853890    if test "${LD+set}" = set; then :; else
     
    39883893    ;;
    39893894 esac
    3990  case $enable_doscompile in
    3991    msvc)
    3992      if test "x${LD+set}" = xset; then :; else
    3993        LD=link
    3994      fi
    3995      ;;
    3996  esac
     3895 if test $enable_msvc = yes ; then
     3896   if test "x${LD+set}" = xset; then :; else
     3897     LD=link
     3898   fi
     3899 fi
    39973900
    39983901    ;;
     
    40613964ac_save_FFLAGS=$FFLAGS
    40623965FFLAGS="$FFLAGS $ac_verb"
    4063 (eval echo $as_me:4063: \"$ac_link\") >&5
     3966(eval echo $as_me:3966: \"$ac_link\") >&5
    40643967ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40653968echo "$ac_f77_v_output" >&5
     
    41394042ac_save_FFLAGS=$FFLAGS
    41404043FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4141 (eval echo $as_me:4141: \"$ac_link\") >&5
     4044(eval echo $as_me:4044: \"$ac_link\") >&5
    41424045ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    41434046echo "$ac_f77_v_output" >&5
     
    73157218*-*-irix6*)
    73167219  # Find out which ABI we are using.
    7317   echo '#line 7317 "configure"' > conftest.$ac_ext
     7220  echo '#line 7220 "configure"' > conftest.$ac_ext
    73187221  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    73197222  (eval $ac_compile) 2>&5
     
    93119214   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    93129215   -e 's:$: $lt_compiler_flag:'`
    9313    (eval echo "\"\$as_me:9313: $lt_compile\"" >&5)
     9216   (eval echo "\"\$as_me:9216: $lt_compile\"" >&5)
    93149217   (eval "$lt_compile" 2>conftest.err)
    93159218   ac_status=$?
    93169219   cat conftest.err >&5
    9317    echo "$as_me:9317: \$? = $ac_status" >&5
     9220   echo "$as_me:9220: \$? = $ac_status" >&5
    93189221   if (exit $ac_status) && test -s "$ac_outfile"; then
    93199222     # The compiler can only warn and ignore the option if not recognized
     
    95799482   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    95809483   -e 's:$: $lt_compiler_flag:'`
    9581    (eval echo "\"\$as_me:9581: $lt_compile\"" >&5)
     9484   (eval echo "\"\$as_me:9484: $lt_compile\"" >&5)
    95829485   (eval "$lt_compile" 2>conftest.err)
    95839486   ac_status=$?
    95849487   cat conftest.err >&5
    9585    echo "$as_me:9585: \$? = $ac_status" >&5
     9488   echo "$as_me:9488: \$? = $ac_status" >&5
    95869489   if (exit $ac_status) && test -s "$ac_outfile"; then
    95879490     # The compiler can only warn and ignore the option if not recognized
     
    96839586   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    96849587   -e 's:$: $lt_compiler_flag:'`
    9685    (eval echo "\"\$as_me:9685: $lt_compile\"" >&5)
     9588   (eval echo "\"\$as_me:9588: $lt_compile\"" >&5)
    96869589   (eval "$lt_compile" 2>out/conftest.err)
    96879590   ac_status=$?
    96889591   cat out/conftest.err >&5
    9689    echo "$as_me:9689: \$? = $ac_status" >&5
     9592   echo "$as_me:9592: \$? = $ac_status" >&5
    96909593   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    96919594   then
     
    1210012003  lt_status=$lt_dlunknown
    1210112004  cat > conftest.$ac_ext <<EOF
    12102 #line 12102 "configure"
     12005#line 12005 "configure"
    1210312006#include "confdefs.h"
    1210412007
     
    1220012103  lt_status=$lt_dlunknown
    1220112104  cat > conftest.$ac_ext <<EOF
    12202 #line 12202 "configure"
     12105#line 12105 "configure"
    1220312106#include "confdefs.h"
    1220412107
     
    1456014463   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1456114464   -e 's:$: $lt_compiler_flag:'`
    14562    (eval echo "\"\$as_me:14562: $lt_compile\"" >&5)
     14465   (eval echo "\"\$as_me:14465: $lt_compile\"" >&5)
    1456314466   (eval "$lt_compile" 2>conftest.err)
    1456414467   ac_status=$?
    1456514468   cat conftest.err >&5
    14566    echo "$as_me:14566: \$? = $ac_status" >&5
     14469   echo "$as_me:14469: \$? = $ac_status" >&5
    1456714470   if (exit $ac_status) && test -s "$ac_outfile"; then
    1456814471     # The compiler can only warn and ignore the option if not recognized
     
    1466414567   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1466514568   -e 's:$: $lt_compiler_flag:'`
    14666    (eval echo "\"\$as_me:14666: $lt_compile\"" >&5)
     14569   (eval echo "\"\$as_me:14569: $lt_compile\"" >&5)
    1466714570   (eval "$lt_compile" 2>out/conftest.err)
    1466814571   ac_status=$?
    1466914572   cat out/conftest.err >&5
    14670    echo "$as_me:14670: \$? = $ac_status" >&5
     14573   echo "$as_me:14573: \$? = $ac_status" >&5
    1467114574   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1467214575   then
     
    1623416137   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1623516138   -e 's:$: $lt_compiler_flag:'`
    16236    (eval echo "\"\$as_me:16236: $lt_compile\"" >&5)
     16139   (eval echo "\"\$as_me:16139: $lt_compile\"" >&5)
    1623716140   (eval "$lt_compile" 2>conftest.err)
    1623816141   ac_status=$?
    1623916142   cat conftest.err >&5
    16240    echo "$as_me:16240: \$? = $ac_status" >&5
     16143   echo "$as_me:16143: \$? = $ac_status" >&5
    1624116144   if (exit $ac_status) && test -s "$ac_outfile"; then
    1624216145     # The compiler can only warn and ignore the option if not recognized
     
    1633816241   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1633916242   -e 's:$: $lt_compiler_flag:'`
    16340    (eval echo "\"\$as_me:16340: $lt_compile\"" >&5)
     16243   (eval echo "\"\$as_me:16243: $lt_compile\"" >&5)
    1634116244   (eval "$lt_compile" 2>out/conftest.err)
    1634216245   ac_status=$?
    1634316246   cat out/conftest.err >&5
    16344    echo "$as_me:16344: \$? = $ac_status" >&5
     16247   echo "$as_me:16247: \$? = $ac_status" >&5
    1634516248   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1634616249   then
     
    1854518448   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1854618449   -e 's:$: $lt_compiler_flag:'`
    18547    (eval echo "\"\$as_me:18547: $lt_compile\"" >&5)
     18450   (eval echo "\"\$as_me:18450: $lt_compile\"" >&5)
    1854818451   (eval "$lt_compile" 2>conftest.err)
    1854918452   ac_status=$?
    1855018453   cat conftest.err >&5
    18551    echo "$as_me:18551: \$? = $ac_status" >&5
     18454   echo "$as_me:18454: \$? = $ac_status" >&5
    1855218455   if (exit $ac_status) && test -s "$ac_outfile"; then
    1855318456     # The compiler can only warn and ignore the option if not recognized
     
    1881318716   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1881418717   -e 's:$: $lt_compiler_flag:'`
    18815    (eval echo "\"\$as_me:18815: $lt_compile\"" >&5)
     18718   (eval echo "\"\$as_me:18718: $lt_compile\"" >&5)
    1881618719   (eval "$lt_compile" 2>conftest.err)
    1881718720   ac_status=$?
    1881818721   cat conftest.err >&5
    18819    echo "$as_me:18819: \$? = $ac_status" >&5
     18722   echo "$as_me:18722: \$? = $ac_status" >&5
    1882018723   if (exit $ac_status) && test -s "$ac_outfile"; then
    1882118724     # The compiler can only warn and ignore the option if not recognized
     
    1891718820   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1891818821   -e 's:$: $lt_compiler_flag:'`
    18919    (eval echo "\"\$as_me:18919: $lt_compile\"" >&5)
     18822   (eval echo "\"\$as_me:18822: $lt_compile\"" >&5)
    1892018823   (eval "$lt_compile" 2>out/conftest.err)
    1892118824   ac_status=$?
    1892218825   cat out/conftest.err >&5
    18923    echo "$as_me:18923: \$? = $ac_status" >&5
     18826   echo "$as_me:18826: \$? = $ac_status" >&5
    1892418827   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1892518828   then
     
    2246522368# Try to autodetect the library for blas based on build system
    2246622369  #AC_MSG_CHECKING([default locations for BLAS])
    22467   skip_lblas_check=no
    2246822370  case $build in
    2246922371    *-sgi-*)
     
    2326823170
    2326923171    *-cygwin* | *-mingw*)
    23270 # On cygwin, consider -lblas only if doscompile is disabled. The prebuilt
    23271 # library will want to link with cygwin, hence won't run standalone in DOS.
    23272       if test "$enable_doscompile" = mingw; then
    23273         skip_lblas_check=yes
    23274       fi
    2327523172      case "$CC" in
    2327623173        clang* ) ;;
     
    2443624333  esac
    2443724334
    24438   if test -z "$use_blas" && test $skip_lblas_check = no; then
     24335  if test -z "$use_blas" ; then
    2443924336    echo "$as_me:$LINENO: checking whether -lblas has BLAS" >&5
    2444024337echo $ECHO_N "checking whether -lblas has BLAS... $ECHO_C" >&6
     
    2601725914echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2601825915coin_link_input_cmd="$LN_S"
    26019 if test "$enable_doscompile" = mingw; then
    26020   coin_link_input_cmd=cp
    26021 fi
    2602225916case "$CC" in
    2602325917  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.